<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>4.html</title>
	<script type="text/javascript">
		var numeros=[1,2,-55,12,22,4,-1,7,-20,-3,5,-6];
		var positivos=0;
		var negativos=0;
				
		function comprobar(v){
			v.forEach((valor) => {
				if(valor>0){
					positivos+=valor;
				}else{
					negativos+=valor;
				} 
			});
		}
		
		comprobar(numeros);
		console.log(positivos);
		console.log(negativos);
		
	</script>
</head>
<body>
	
</body>
</html>